Bug 619776 - make "port" a synonym of "module_name" for drac5
Summary: make "port" a synonym of "module_name" for drac5
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.6
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On: 616991 619096
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 14:06 UTC by Marek Grac
Modified: 2016-04-26 15:05 UTC (History)
11 users (show)

Fixed In Version: cman-2.0.115-46.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 619096
Environment:
Last Closed: 2011-01-13 22:35:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0036 normal SHIPPED_LIVE cman bug-fix and enhancement update 2011-01-12 17:39:38 UTC

Comment 2 Lon Hohberger 2010-12-08 21:57:39 UTC
Note: I could not regression-test the DRAC5 agent.

However, I verified the specific addition noted in this bugzilla by adding a debug print to the fencing agent.

[root@rhel5-1 ~]# fence_drac5 -a 10.1.1.1 -l lon -p lon -n module1
DEBUG: module_name= module1
[root@rhel5-1 ~]# fence_drac5 -a 10.1.1.1 -l lon -p lon -m module1
DEBUG: module_name= module1

I then tested the same modification with the fencing library from an older version of cman (2.0.115-34.el5) and the result was an error when passing the -n (port) argument on the command line:

[root@rhel5-1 old_cman]# PYTHONPATH=./usr/lib/fence ./sbin/fence_drac5 -a 10.1.1.1 -l lon -p lon -n module1
Parse error: option -n not recognized
Please use '-h' for usage
[root@rhel5-1 old_cman]# PYTHONPATH=./usr/lib/fence ./sbin/fence_drac5 -a 10.1.1.1 -l lon -p lon -m module1
DEBUG: module_name= module1

Comment 4 errata-xmlrpc 2011-01-13 22:35:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0036.html


Note You need to log in before you can comment on or make changes to this bug.